//
//  PongTutorialViewController.h
//  PongTutorial
//
//  Created by Andrea Busi on 08/03/09.
//  Copyright "BubiDevs" 2009. All rights reserved.
//

#import <UIKit/UIKit.h>

@interface PongTutorialViewController : UIViewController {
	//i tre componenti per le immagini necessarie
	IBOutlet UIImageView *barraUno;
	IBOutlet UIImageView *barraDue;
	IBOutlet UIImageView *pallina;
	
	//label per iniziare la partita
	IBOutlet UILabel *textInizia;
	//label per il conteggio dei punti
	IBOutlet UILabel *puntiUno;
	IBOutlet UILabel *puntiDue;
	
	//stato della partita: in corso o ferma
	NSInteger statoPartita;
	
	//la velocità della pallina
	CGPoint velocitaPalla;
}

@property (nonatomic, retain) IBOutlet UIImageView *barraUno;
@property (nonatomic, retain) IBOutlet UIImageView *barraDue;
@property (nonatomic, retain) IBOutlet UIImageView *pallina;
@property (nonatomic, retain) IBOutlet UILabel *textInizia;
@property (nonatomic, retain) IBOutlet UILabel *puntiUno;
@property (nonatomic, retain) IBOutlet UILabel *puntiDue;

@property (nonatomic) NSInteger statoPartita;
@property (nonatomic) CGPoint velocitaPalla;

@end

